import request from '@/utils/httpRequest'
import { PUBLIC_MODULES_PATH as prefix } from "../AppPath";

export default class knowledgeShareInfoService {
  list (param) {
    return request({
      url: prefix +'/knowledgeShare/info/list',
      method: 'get',
      params: param
    })
  }
  save (param) {
    return request({
      url: prefix +'/knowledgeShare/info/save',
      method: 'post',
      data: param
    })
  }
  findById (id, method,size) {
    return request({
      url: prefix +'/knowledgeShare/info/findById',
      method: 'get',
      params: {id: id, method: method,size: size}
    })
  }
  remove (id) {
    return request({
      url: prefix +'/knowledgeShare/info/removeById',
      method: 'get',
      params: {id: id}
    })
  }
  addComment (param) {
    return request({
      url: prefix +'/knowledgeShare/info/addComment',
      method: 'post',
      data: param
    })
  }
  delComment (id) {
    return request({
      url: prefix +'/knowledgeShare/info/delComment',
      method: 'get',
      params: {id: id}
    })
  }
  getComments(id){
	  return request({
		  url: prefix +'/knowledgeShare/info/getComments',
		  method: 'get',
		  params: {id: id}
	  })
  }
}
